CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Members

Public Member Functions | Properties
CommandMessenger.ReceivedCommand Class Reference

A command received from CmdMessenger. More...

List of all members.

## Public Member Functions
| ReceivedCommand ()
| Default constructor.
| ReceivedCommand (string[] arguments)
| Constructor.
bool | Next ()
| Fetches the next argument.
bool | Available ()
| returns if a next command is available
Int16 | ReadInt16Arg ()
| Reads the current argument as short value.
UInt16 | ReadUInt16Arg ()
| Reads the current argument as unsigned short value.
bool | ReadBoolArg ()
| Reads the current argument as boolean value.
Int32 | ReadInt32Arg ()
| Reads the current argument as int value.
UInt32 | ReadUInt32Arg ()
| Reads the current argument as unsigned int value.
Single | ReadFloatArg ()
| Reads the current argument as a float value.
Single | ReadDoubleArg ()
| Reads the current argument as a double value.
String | ReadStringArg ()
| Reads the current argument as a string value.
Single | ReadBinFloatArg ()
| Reads the current binary argument as a float value.
Double | ReadBinDoubleArg ()
| Reads the current binary argument as a double value.
Int16 | ReadBinInt16Arg ()
| Reads the current binary argument as a short value.
UInt16 | ReadBinUInt16Arg ()
| Reads the current binary argument as a unsigned short value.
Int32 | ReadBinInt32Arg ()
| Reads the current binary argument as a int value.
UInt32 | ReadBinUInt32Arg ()
| Reads the current binary argument as a unsigned int value.
String | ReadBinStringArg ()
| Reads the current binary argument as a string value.
bool | ReadBinBoolArg ()
| Reads the current binary argument as a boolean value.
## Properties
long | TimeStamp`[get, set]`
| Gets or sets the time stamp.
bool | Ok`[get]`
| Returns whether this is a valid & filled command.
string | this[int index]`[get]`
| Indexer to get arguments directly.
int | CommandId`[get]`
| Gets the command ID.

## Detailed Description

A command received from CmdMessenger.

## Constructor & Destructor Documentation

CommandMessenger.ReceivedCommand.ReceivedCommand | ( |  | ) |

Default constructor.

CommandMessenger.ReceivedCommand.ReceivedCommand | ( | string[] | arguments | ) |

Constructor.

Parameters:

  arguments | All command arguments, first one is command ID

## Member Function Documentation

bool CommandMessenger.ReceivedCommand.Available | ( |  | ) |

returns if a next command is available

Returns:
  true if it succeeds, false if it fails.

bool CommandMessenger.ReceivedCommand.Next | ( |  | ) |

Fetches the next argument.

Returns:
  true if it succeeds, false if it fails.

bool CommandMessenger.ReceivedCommand.ReadBinBoolArg | ( |  | ) |

Reads the current binary argument as a boolean value.

Returns:
  The boolean value.

Double CommandMessenger.ReceivedCommand.ReadBinDoubleArg | ( |  | ) |

Reads the current binary argument as a double value.

Returns:
  The double value.

Single CommandMessenger.ReceivedCommand.ReadBinFloatArg | ( |  | ) |

Reads the current binary argument as a float value.

Returns:
  The float value.

Int16 CommandMessenger.ReceivedCommand.ReadBinInt16Arg | ( |  | ) |

Reads the current binary argument as a short value.

Returns:
  The short value.

Int32 CommandMessenger.ReceivedCommand.ReadBinInt32Arg | ( |  | ) |

Reads the current binary argument as a int value.

Returns:
  The int value.

String CommandMessenger.ReceivedCommand.ReadBinStringArg | ( |  | ) |

Reads the current binary argument as a string value.

Returns:
  The string value.

UInt16 CommandMessenger.ReceivedCommand.ReadBinUInt16Arg | ( |  | ) |

Reads the current binary argument as a unsigned short value.

Returns:
  The unsigned short value.

UInt32 CommandMessenger.ReceivedCommand.ReadBinUInt32Arg | ( |  | ) |

Reads the current binary argument as a unsigned int value.

Returns:
  The unsigned int value.

bool CommandMessenger.ReceivedCommand.ReadBoolArg | ( |  | ) |

Reads the current argument as boolean value.

Returns:
  The boolean value.

Single CommandMessenger.ReceivedCommand.ReadDoubleArg | ( |  | ) |

Reads the current argument as a double value.

Returns:
  The unsigned double value.

Single CommandMessenger.ReceivedCommand.ReadFloatArg | ( |  | ) |

Reads the current argument as a float value.

Returns:
  The float value.

Int16 CommandMessenger.ReceivedCommand.ReadInt16Arg | ( |  | ) |

Reads the current argument as short value.

Returns:
  The short value.

Int32 CommandMessenger.ReceivedCommand.ReadInt32Arg | ( |  | ) |

Reads the current argument as int value.

Returns:
  The int value.

String CommandMessenger.ReceivedCommand.ReadStringArg | ( |  | ) |

Reads the current argument as a string value.

Returns:
  The string value.

UInt16 CommandMessenger.ReceivedCommand.ReadUInt16Arg | ( |  | ) |

Reads the current argument as unsigned short value.

Returns:
  The unsigned short value.

UInt32 CommandMessenger.ReceivedCommand.ReadUInt32Arg | ( |  | ) |

Reads the current argument as unsigned int value.

Returns:
  The unsigned int value.

## Property Documentation

int CommandMessenger.ReceivedCommand.CommandId`[get]`

Gets the command ID.

The command ID.

bool CommandMessenger.ReceivedCommand.Ok`[get]`

Returns whether this is a valid & filled command.

true if ok, false if not.

string CommandMessenger.ReceivedCommand.this[int index]`[get]`

Indexer to get arguments directly.

The indexed item.

long CommandMessenger.ReceivedCommand.TimeStamp`[get, set]`

Gets or sets the time stamp.

The time stamp.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/ReceivedCommand.cs